Summary:	iw - utility to show or manipulate wireless devices and their configuration
Summary(pl.UTF-8):	iw - narzędzie do wyświetlania i modyfikowania konfiguracji urządzeń bezprzewodowych
Name:		iw
Version:	3.6
Release:	1
License:	BSD
Group:		Networking/Admin
Source0:	http://wireless.kernel.org/download/iw/%{name}-%{version}.tar.bz2
# Source0-md5:	1c18bfbbc8773629e5e8ac733a39540c
URL:		http://wireless.kernel.org/en/users/Documentation/iw
BuildRequires:	libnl-devel >= 1:3.2
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
iw is a new nl80211 based CLI configuration utility for wireless
devices.

%description -l pl.UTF-8
iw to nowe, oparte na sterowniku nl80211, działające z linii poleceń
narzędzie do konfiguracji urządzeń bezprzewodowych.

%prep
%setup -q

%build
CC="%{__cc}" \
CFLAGS="%{rpmcflags} %{rpmcppflags}" \
%{__make} \
	V=1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install iw $RPM_BUILD_ROOT%{_sbindir}
install iw.8 $RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README
%attr(755,root,root) %{_sbindir}/iw
%{_mandir}/man8/iw.8*
%changelog
* Tue Aug 28 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iw.git;a=log;h=master

* Tue Aug 28 2012 Jakub Bogusz <qboosh@pld-linux.org> 70ccd58
- updated to 3.6

* Wed Jun 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 2a9cab9
- updated to 3.5

* Tue Apr 03 2012 Jakub Bogusz <qboosh@pld-linux.org> f5e9a35
- updated to 3.4

* Fri Jan 20 2012 Jakub Bogusz <qboosh@pld-linux.org> 78b1830
- updated to 3.3

* Tue Nov 08 2011 Jakub Bogusz <qboosh@pld-linux.org> 1dbb9bd
- updated to 3.2

* Thu Oct 13 2011 Jakub Bogusz <qboosh@pld-linux.org> c555fbd
- updated to 3.1

* Sat Sep 17 2011 Jakub Bogusz <qboosh@pld-linux.org> 93793d9
- BRs libnl 3.2 now

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 69f409b
- rel 3; rebuild with new libnl

* Sat Sep 17 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f55989a
- release 2

* Fri Jul 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 2de3cff
- updated to 3.0

* Sun Mar 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> cbaa52a
- up to 0.9.22; fix build with libnl 3.0

* Sun Mar 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2acb3dd
- release 2

* Sat Nov 13 2010 Jakub Bogusz <qboosh@pld-linux.org> f0a9bdd
- updated to 0.9.21
- pl
- package COPYING
- use optflags

* Mon May 31 2010 sparky <sparky@pld-linux.org> 220b338
- BR: pkgconfig

* Sun May 23 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> faec6bf
- up to 0.9.19

* Sat Oct 10 2009 Artur Frysiak <artur@frysiak.net> dc2bbab
- 0.9.17

* Sat Jul 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5f192ab
- up to 0.9.15

* Wed Apr 29 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> adaed5d
- up to 0.9.13

* Sun Mar 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> ea45f06
- up to 0.9.10

* Wed Jan 21 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7d6e1d2
- up to 0.9.8

